# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           jcalendar
Version:        1.3.2
Release:        4%{?dist}
Summary:        A Java date chooser bean for graphically picking a date
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.toedter.com/en/jcalendar/
Source0:        http://www.toedter.com/download/%{name}-%{version}.zip
# both targets, jar and javadocs do a clean first for some weird reason.
Patch0:         jcalendar-buildfile-noclean-on-javadocs.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 0:1.6.0
BuildRequires:     jpackage-utils >= 0:5.0.0
BuildRequires:     ant
Requires:          java >= 0:1.6.0
Requires:          jpackage-utils >= 0:5.0.0

%description
A Java date chooser bean for graphically picking a date.
JCalendar is composed of several other Java beans, a JDayChooser, a
JMonthChooser and a JYearChooser. All these beans have a locale property,
provide several icons (Color 16x16, Color 32x32, Mono 16x16 and Mono 32x32)
and their own locale property editor. So they can easily be used in GUI
builders. Also part of the package is a JDateChooser, a bean composed of an
IDateEditor (for direct date editing) and a button for opening a JCalendar
for selecting the date.


%package javadoc
Summary:           Javadocs for jcalendar
Group:             Documentation
Requires:          %name = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
JCalendar development documentation.


%prep
%setup -q -c %{name}-%{version}
%patch0 -p0

rm -rf bin/* doc/api lib/*

# Change the line endings but preserve the timestamp
%{__sed} -i.tmp 's/\r//' jcalendar-license.txt
touch -r jcalendar-license.txt.tmp jcalendar-license.txt

%build
pushd src
ant jar javadocs # includes clean
popd

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc jcalendar-license.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}*


%changelog
* Thu Jun 24 2010 Ralph Apel <r.apel@r-apel.de> - 1.3.2-4
- Adapt to JPP-6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 14 2008 Sandro Mathys <red at fedoraproject.org> - 1.3.2-1
- initial build
